
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops delete instancegroup

Delete instance group.

### Synopsis

Delete an instance group configuration. kOps has the concept of "instance groups", which are a group of similar virtual machines. On AWS, they map to an AutoScalingGroup.

```
kops delete instancegroup INSTANCE_GROUP [flags]
```

### Examples

```
  # Delete an instancegroup for the k8s-cluster.example.com cluster.
  # The --yes option runs the command immediately.
  # Note that the cloud resources will be deleted immediately, without running "kops update cluster"
  kops delete ig --name=k8s-cluster.example.com node-example --yes
```

### Options

```
  -h, --help   help for instancegroup
  -y, --yes    Specify --yes to immediately delete the instance group
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops delete](kops_delete.md)	 - Delete clusters, instancegroups, instances, and secrets.

